Bug 1563316 - Control explorer policies search clear button not working correctly
Summary: Control explorer policies search clear button not working correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ui:control:search
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 15:11 UTC by Matouš Mojžíš
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Matouš Mojžíš 2018-04-03 15:11:42 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.9.2.0

How reproducible:
Always

Steps to Reproduce:
1. Go to Control -> Explorer
2. Fill basic search form and apply it
3. Select clear button

Actual results:
Clear button doesn't clear search text.

Expected results:


Additional info:

Comment 6 CFME Bot 2018-04-17 14:03:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4ec039199276efdccb75c61a131a815eb732cac1
commit 4ec039199276efdccb75c61a131a815eb732cac1
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Tue Apr 10 10:16:09 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Tue Apr 10 10:16:09 2018 -0400

    Fix Control explorer policies Search clear button

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1563316

    Fix Search clear button when searching text under Control -> Explorer screens.

 app/controllers/miq_policy_controller.rb | 1 +
 1 file changed, 1 insertion(+)

Comment 7 Matouš Mojžíš 2018-07-24 13:37:24 UTC
Verified in 5.10.0.4. Search clear button is working correctly on this page now.

Comment 10 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.